Skip to main content

Get Import Job Progress (V2)

This operation gets the progress of the specified bulk-import job.

POST/v2/vectordb/jobs/import/describe
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Body

The request requires jobId; it may be combined with clusterId, combined with both projectId and regionId, or supplied alone.

jobIdstringrequired

The ID of the import job in concern

clusterIdstringrequired

The ID of a cluster to which this operation applies.

The request requires jobId; it may be combined with clusterId, combined with both projectId and regionId, or supplied alone.

jobIdstringrequired

The ID of the import job in concern

projectIdstringrequired

The ID of a project to which this operation applies.

regionIdstringrequired

The ID of a region to which this operation applies.

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionId": "ali-cn-hangzhou"
}'
Responses

成功

Response object containing the description of the import job.

codeinteger<int32>

Response code.

Example Value: 0
dataobject

Response payload which contains the progress of the specified bulk-import job in detail.

jobIdstring

The ID of this bulk-import job.

collectionNamestring

The name of the target collection of this bulk-import job.

fileNamestring

Name of the imported file.

fileSizeinteger<int64>

The uploaded file size in bytes.

statestring

The state of this bulk-import job.

progressinteger<int32>

The progress in percentage of the current bulk-import job.

completeTimestring

The timestamp indicating when the bulk-import job is complete.

reasonstring

The reason for the failure to bulk import data. The field value stays empty if this job succeeds.

totalRowsinteger<int64>

The number of rows in the specified collection.

detailsarray

Statistics on data import oriented to data files.

[]detailsobject

Statistics on data import from a file.

fileNamestring

The name of a data file.

fileSizeinteger<int64>

The size of the data file.

statestring

The processing state of the data file.

progressinteger<int32>

The progress in percentage.

completeTimestring

The timestamp at which the file is processed.

reasonstring

The reason for the failure to bulk import data. This field stays empty if this job succeeds.

totalRowsinteger<int64>

The number of rows in the specified collection upon the import from this file is complete.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {
"jobId": "448761313698322011",
"collectionName": "medium_articles",
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:55Z",
"reason": "",
"totalRows": 100000,
"details": [
{
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:53Z",
"reason": ""
}
]
}
}